# 1.0.3 - changed -iname to $find_flags, this is to increase
# portability between OS's, as some find implemtations only take
# -name rather than -iname (ie, FreeBSD)
#
# Some quick REGEX teaching here.
#
# Full stops in regex must be escaped, so, . == \.
# Single character matching is done using a . (equivilant to a
#  '?' in DOS
# To match the string to the END, use a $ at the end
# To match the string to the START, use a ^ at the beginning
#

# Deny executable filenames
cat $filelist | ${grep} -Ei "\.(vbs|exe|com|scr|bat|pif|cpl)$" >> ${namebadfileslog}

NB=`cat ${namebadfileslog} | $uriencode`
echo "NAMEBLOCKS=$NB" >> $reportvars

# Deny media filenames
#	cat $filelist | ${grep} -Ei "\.(mp3|ogg|wav|mpeg|mpg|avi|mov)$" >> ${namebadfileslog}


#-----------------------------------------------END

